<div class="flex flex-col items-center justify-center h-screen">
  <div class="bg-white shadow-md rounded-lg p-10 w-full max-w-md">
<div class="max-w-md mx-auto mt-10">
  <form [formGroup]="RegistroForm" class="space-y-4">
    <div>
      <label for="nombre" class="block text-sm font-medium text-gray-700">Nombre del Cliente</label>
      <input type="text" formControlName="nombreCliente" required [class.is-invalid]="mostrarErrores && RegistroForm.get('nombreCliente')?.invalid && RegistroForm.get('nombreCliente')?.touched" id="nombre" name="nombre" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('nombreCliente')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese su nombre.
      </div>
    </div>
    <div>
      <label for="nombreProducto" class="block text-sm font-medium text-gray-700">Nombre del Producto</label>
      <input type="text" formControlName="nombreProducto" required [class.is-invalid]="mostrarErrores && RegistroForm.get('nombreProducto')?.invalid && RegistroForm.get('nombreProducto')?.touched" id="nombreProducto" name="nombreProducto" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('nombreProducto')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese el nombre del producto.
      </div>
    </div>
    <div>
      <label for="nombreBodega" class="block text-sm font-medium text-gray-700">Nombre de la Bodega</label>
      <input type="text" formControlName="nombreBodega" required [class.is-invalid]="mostrarErrores && RegistroForm.get('nombreBodega')?.invalid && RegistroForm.get('nombreBodega')?.touched" id="nombreBodega" name="nombreBodega" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('nombreBodega')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese el nombre de la bodega.
      </div>
    </div>
    <div>
      <label for="ubicacionBodega" class="block text-sm font-medium text-gray-700">Ubicacion de la Bodega</label>
      <input type="text" formControlName="ubicacionBodega" required [class.is-invalid]="mostrarErrores && RegistroForm.get('ubicacionBodega')?.invalid && RegistroForm.get('ubicacionBodega')?.touched" id="ubicacionBodega" name="ubicacionBodega" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('ubicacionBodega')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese la Ubicacion.
      </div>
    </div>
    <div>
      <label for="cantidad" class="block text-sm font-medium text-gray-700">Cantidad</label>
      <input type="text" formControlName="cantidad" required [class.is-invalid]="mostrarErrores && RegistroForm.get('cantidad')?.invalid && RegistroForm.get('cantidad')?.touched" id="cantidad" name="cantidad" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('cantidad')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese la Cantidad.
      </div>
    </div>
    <div>
      <label for="fechaRegistro" class="block text-sm font-medium text-gray-700">Fecha Registro</label>
      <input type="date" formControlName="fechaRegistro" required [class.is-invalid]="mostrarErrores && RegistroForm.get('fechaRegistro')?.invalid && RegistroForm.get('fechaRegistro')?.touched" id="fechaRegistro" name="nombre" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('fechaRegistro')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese la fecha de registro.
      </div>
    </div>
    <div>
      <label for="fechaEntrega" class="block text-sm font-medium text-gray-700">Fecha de Entrega</label>
      <input type="date" formControlName="fechaEntrega" required [class.is-invalid]="mostrarErrores && RegistroForm.get('fechaEntrega')?.invalid && RegistroForm.get('fechaEntrega')?.touched" id="fechaEntrega" name="fechaEntrega" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('fechaEntrega')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese fecha de entrega.
      </div>
    </div>
    <div>
      <label for="precioEnvio" class="block text-sm font-medium text-gray-700">Precio de Envio</label>
      <input type="text" formControlName="precioEnvio" required [class.is-invalid]="mostrarErrores && RegistroForm.get('precioEnvio')?.invalid && RegistroForm.get('precioEnvio')?.touched" id="precioEnvio" name="precioEnvio" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('precioEnvio')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese precio de envio.
      </div>
    </div>
    <div>
      <label for="placaVehiculo" class="block text-sm font-medium text-gray-700">Placa del Vehiculo</label>
      <input type="text" formControlName="placaVehiculo" required [class.is-invalid]="mostrarErrores && RegistroForm.get('placaVehiculo')?.invalid && RegistroForm.get('placaVehiculo')?.touched" id="placaVehiculo" name="placaVehiculo" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('placaVehiculo')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese placa del vehiculo.
      </div>
    </div>
    <div class="flex justify-between">
      <button type="submit" (click)="guardar()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">Crear</button>
      <button type="button" (click)="volverMenu()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-gray-700 bg-gray-200 hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Volver</button>
    </div>
  </form>

  <div *ngIf="respuestaCreacion" class="mt-8">
    <h2 class="text-lg font-semibold mb-4">Respuesta de la creación:</h2>
    <table class="min-w-full divide-y divide-gray-200">
      <thead class="bg-gray-50">
      <tr>
        <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Campo</th>
        <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Valor</th>
      </tr>
      </thead>
      <tbody class="bg-white divide-y divide-gray-200">
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">ID</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.id }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Nombre del Cliente</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.cliente.nombre }}</td>
      </tr>
      <tr>
          <td class="px-6 py-4 whitespace-nowrap">Nombre del Producto</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.producto.nombre }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Nombre de la Bodega</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.bodega.nombre }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Ubicacion</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.bodega.ubicacion }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Cantidad</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.cantidad }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Fecha de Registro</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.fechaRegistro }}</td>
      </tr>

      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Fecha de Entrega</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.fechaEntrega }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Precio de Envio</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.precioEnvio }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Placa del Vehiculo</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.placaVehiculo }}</td>
      </tr>
      </tbody>
      <button type="button" (click)="volverMenu()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-gray-700 bg-gray-200 hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Volver</button>
    </table>
  </div>
</div>
  </div></div>
